Subject: Re: [Cbe-oss-dev] [PATCH 0/18] spidernet driver bug fixes

From: [email-masked] (Linas Vepstas)
Date: Fri, 8 Jun 2007 12:06:08 -0500

On Fri, Jun 08, 2007 at 11:12:31AM +1000, Michael Ellerman wrote:
> On Thu, 2007-06-07 at 14:17 -0500, Linas Vepstas wrote:
> > Jeff, please apply for the 2.6.23 kernel tree.  The pach series
> > consists of two major bugfixes, and several bits of cleanup.
> > 
> > The major bug fixes are: 
> > 
> > 1) a rare but fatal bug involving "RX ram full" messages, 
> >    which results in a driver deadlock.
> > 
> > 2) misconfigured TX interrupts, causing a sever performance
> >    degardation for small packets.
> 
> I realise it's late, but shouldn't "major bugfixes" be going into 22 ?

Yeah, I suppose, I admit I've lost track of the process. 

I'm not sure how to submit patches for this case. The "major fixes"
are patches 6/18, 13/18 14/18 and 17/18; (the rest of the patches are 
cruft-fixes). Taken alone, these four will not apply cleanly. 

I could prepare a new set, with just these four; asuming these are
accepted into 2.6.22, then once 22 comes out, Jeff's .23 tree won't 
merge cleanly.  

What's the right way to do this?

--linas